using System;
using System.Collections;
using Server;
using Server.Gumps;
using Server.Network;
using Server.Mobiles;
using Server.Items;

namespace Server.Items
{
	[Flipable( 0x14F5, 0x14F6 )]
	public class Spyglass : Item
	{
		[Constructable]
		public Spyglass() : base( 0x14F5 )
		{
			Name = "spyglass";
			Weight = 3.0;
		}

		public override void OnDoubleClick( Mobile from )
		{
			if ( from.Map != Map.Britannia )
			{
				from.SendMessage( "That does not work here!" );
			}
			else
			{
				from.LocalOverheadMessage( MessageType.Regular, 0x3B2, 1008155 ); // You peer into the heavens, seeking the moons...
				from.LocalOverheadMessage( MessageType.Regular, 0x3B2, 1008146 + (int)Clock.GetMoonPhase( Map.Britannia, 3584, 2048 ) );
			}
		}

		public Spyglass( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}